using MultiLayout;
using MultiLayout.UiModule;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Unity;

namespace FLY.Thick.FilmCasting.UI.UiModule
{
    /// <summary>
    /// MenuProfile.xaml 的交互逻辑
    /// </summary>
    public partial class MenuProfile : UserControl
    {
        IUnityContainer container;
        public MenuProfile()
        {
            InitializeComponent();
        }
        [InjectionMethod]
        public void Init(IUnityContainer container)
        {
            this.container = container;
        }
        private void btnProfileClick(object sender, RoutedEventArgs e)
        {
            PgProfile p = new PgProfile();
            container.BuildUp(p);
            FlyLayoutManager.NavigationService.Navigate(p);
        }
    }
    public class UiModule2_MenuProfile : IUiModule2
    {
        public string Title => "测厚.产品";

        public ComponentType Type => ComponentType.Menu;

        public bool IsUnique => true;

        public FrameworkElement GetComponent(int id, IUnityContainer container)
        {
            MenuProfile menu = new MenuProfile();
            container.BuildUp(menu);
            return menu;
        }

        public FrameworkElement GetThumbnail()
        {
            return new System.Windows.Controls.Grid();
        }

        public void MatchParam(int[] IDs)
        {

        }
    }
}
